0

under Ubuntu 18.04, I'd like to install the provided packaged version of RoundCube using nginx instead of apache2; nginx is already installed and running with php7.2-fpm so I don't need another webserver.

From packages.ubuntu.com I've seen that RoundCube can be installed with apache2 OR lighttp OR php-fpm but every time I rise the:

apt --no-install-recommends install roundcube roundcube-plugins php-net-sieve

apt still try to install apache2.

Any clue is strongly appreciated to solve this issue.

Thank you very much for your answers.

1 Answer 1

1

I had this exact same problem. But I figured it out. If you look at the package details here you can see that it's requiring libapache2-mod-php or php. For whatever reason, php7.2-fpm does not satisfy the php package requirement. Just apt install roundcube php and you should get a much smaller list of packages it wants to install, and apache will be absent.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .